summaryrefslogtreecommitdiffstats
path: root/freenx
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2005-09-05 21:15:20 +0000
committer Eric Hameleers <alien@slackware.com>2005-09-05 21:15:20 +0000
commiteb6372b6e81a4cbffde18aed9c81b39f0e6678e4 (patch)
tree7033a51edb3c738fdba2c93b8f19c4c152bf3bc9 /freenx
parent286f1685b9b9c19ef59a25db2ce744d6d6ba37ec (diff)
downloadasb-eb6372b6e81a4cbffde18aed9c81b39f0e6678e4.tar.gz
asb-eb6372b6e81a4cbffde18aed9c81b39f0e6678e4.tar.xz
No need for a 'rc.sshd restart'.
Diffstat (limited to 'freenx')
-rwxr-xr-xfreenx/build/freenx.SlackBuild17
1 files changed, 11 insertions, 6 deletions
diff --git a/freenx/build/freenx.SlackBuild b/freenx/build/freenx.SlackBuild
index b56da2bf..062f3054 100755
--- a/freenx/build/freenx.SlackBuild
+++ b/freenx/build/freenx.SlackBuild
@@ -18,7 +18,7 @@
# FreeNX package works out-of-the-box with NX clients.
# This is less secure than using our own key, but that is for the
# paranoid among us to consider :-)
-# 0.4.4-4: 01/Sep/2005 by Eric Hameleers <alien@slackware.com>
+# 0.4.4-4: 03/Sep/2005 by Eric Hameleers <alien@slackware.com>
# * Reorganized the patches. Sound for Windows clients will now
# work out-of-the-box if enabled in the node.conf.
#
@@ -72,10 +72,11 @@ cd $TMP/tmp-$PRGNAM
tar -zxvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
-patch -p1 < $CWD/netcat.patch
patch -p1 < $CWD/authkeys.patch
patch -p1 < $CWD/esddsp.patch
+patch -p1 < $CWD/netcat.patch
patch -p1 < $CWD/nx150backend.patch
+patch -p1 < $CWD/sessreg.patch
chown -R root.root *
find . -perm 777 -exec chmod 755 {} \;
@@ -117,10 +118,13 @@ export $(grep ^NX_SESS_DIR usr/bin/nxloadconfig)
export $(grep ^NX_ETC_DIR usr/bin/nxloadconfig)
export $(grep ^NX_LOGFILE usr/bin/nxloadconfig)
export $(grep ^SSH_AUTHORIZED_KEYS usr/bin/nxloadconfig)
-echo "I will restart the SSH daemon now -"
-echo "This will have no effect on any current ssh session you may have running,"
-echo " but it is needed for the FreeNX setup."
-/etc/rc.d/rc.sshd restart
+#echo "I will restart the SSH daemon now -"
+#echo "This will have no effect on any ssh session you may have running,"
+#echo " but it is needed for the FreeNX setup."
+#/etc/rc.d/rc.sshd restart
+if ! /sbin/pidof sshd >/dev/null ; then
+ echo "The SSH daemon is not running, but without SSH, NX will not work!"
+fi
touch ${NX_ETC_DIR/#\//}/passwords ${NX_ETC_DIR/#\//}/passwords.orig \
${NX_LOGFILE/#\//}
chmod 600 ${NX_ETC_DIR/#\//}/pass* ${NX_LOGFILE/#\//}
@@ -142,6 +146,7 @@ fi
if ! { chroot . getent passwd | egrep -q "^nx:"; }
then
chroot . useradd -m -d ${NX_HOME_DIR} -s /usr/bin/nxserver nx
+ chroot . passwd -u nx
mkdir -p ${NX_HOME_DIR/#\//}/.ssh
chmod 700 ${NX_HOME_DIR/#\//}/.ssh
fi